# sqlite_actor

Syndicate actor for accessing SQLite databases.

## Build

Depends on the [SQLcipher](https://www.zetetic.net/sqlcipher/) library and pkg-config.

## Example configuration
```
? <example-dataspace ?ds> [

  $ds <query example-row "SELECT id, name FROM stuff">

  $ds ? <example-row ?id ?name> [
    $log ! <log "-" { row: <example-row $id $name> }>
  ]

  <require-service <daemon sqlite_actor>>
  ? <service-object <daemon sqlite_actor> ?cap> [
    $cap {
      dataspace: $ds
      database: "/var/db/example.db"
    }
  ]

  <daemon sqlite_actor {
    argv: [ "/usr/local/bin/sqlite_actor" ]
    protocol: application/syndicate
  }>
]
```
